RE: CSP development on W2K SP4

From: lelteto (lelteto_at_discussions.microsoft.com)
Date: 09/07/04


Date: Tue, 7 Sep 2004 10:19:02 -0700

For the advapi32 pathing part:

Step 1: modify advapi32.dll
 - copy adavpi32.dll into another directory
 - if you have a hex editor you can use that to modify the indicated bytes
 - if you don't have a hex editor you can use DEBUG
   (hope you know how to use debug to load file into memory, dump content,
modify content and save the result back to file. If not, please read HELP on
it.)

Step 2: replace advapi32.dll
 - copy your patched advapi32.dll into windows\system32 as "advapi32.new"
 - boot into RECOVERY CONSOLE mode (use your Windows 2000 install CD)
 - go to the windows\system32 directory (use CD command)
 - rename "advapi32.dll" to "advapi32.old"
   DON'T DELETE it - if you have problem you may need to revert the change!!!
 - rename "advapi32.new" to "advapi32.dll"
 - reboot

Hope this helps...

Laszlo Elteto
SafeNet, Inc.

"George" wrote:

> How can be done both of them? Could you give any more details? I'm not an
> expert on both patching or using the system-level debugger.
>
> TA.
>
> "=?Utf-8?B?bGVsdGV0bw==?=" <lelteto@discussions.microsoft.com> wrote in
> news:7BDABD40-B30B-4463-8783-986E09619A75@microsoft.com:
>
> > The Microsoft recommended way is now to use a system-level debugger.
> > (You don't have to actually use it, it just has to be loaded.)
> >
> > If you still want modified ADVAPI32.DLL you just have to search past
> > postings here (or on the old CAPI discussion forum email list). There
> > are many posts - some of them from me - of various advapi32.dll
> > version patches. (Search for "advapi32")
> > Note that your request may not be precise enough: the Win2K SP4
> > advapi32.dll has version of 5.0.2195.6710; however, the May 2004
> > security patch Q835732 has a newer version of advapi32.dll
> > 5.0.2195.6876. I have the patch info for both (and certain that posted
> > patch bytes for both on the MS forums - so you can search for it).
> >
> > Laszlo Elteto
> > SafeNet, Inc.
> >
> > "George" wrote:
> >
> >> Hi all.
> >>
> >>
> >> I'm using Win2K SP4.
> >>
> >>
> >> I'm developing a CSP for smartcards. I have installed it but when
> >> trying to
> >> test it, it says that the signature is uncorrect.
> >> The problem is that the cspdk that microsoft provides only works fine
> >> till
> >> Win2k SP2. Is there any other more recent version or should I have to
> >> install Win2k with SP2?
> >>
> >>
> >> Any help is really welcome.
> >>
> >
>
>
>
> --
> Saludos a todos
> #
> # Contra el terrorismo
> #
>